Identity-Based Microsegmentation Guide
LAST UPDATED: September 27, 2021

Upgrade


Always conduct upgrades in sequence: first the Microsegmentation Console, then all apoctl clients, then the enforcers (optional).

After upgrading the Microsegmentation Console, you should upgrade all apoctl clients. Otherwise, you may experience unexpected behavior. The upgrade of apoctl consists of a simple reinstall.

Never upgrade the enforcers without first upgrading the Microsegmentation Console. Newer enforcers cannot communicate with older Microsegmentation Consoles. Upgrading the enforcers is optional as older enforcers can continue to communicate with newer Microsegmentation Consoles.

Upgrading to 5.0 requires a one-time migration from network policies to network rulesets.

  
Upgrade the
console
  
Upgrade apoctl
clients
  
Migrate to
network rulesets
  
Upgrade the
enforcers